package ThemeConfirmer;

use strict;
use utf8;

sub confirm {
    my ($cb, $app, $tmpl) = @_;

    my $plugin = MT->component("ThemeConfirmer");
    my $scope = "blog:" . $app->blog->id;
    my $message = $plugin->get_config_value('message', $scope);
    my $old = <<HERE;
<mt:include name="include/header.tmpl">
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mt:include name="include/header.tmpl">
<script type="text/javascript">
function check_apply(theme_name, url) {
    if (window.confirm('「'+theme_name+'」$message')) {
        location.href = url;
    }
}
</script>
HERE
    $$tmpl =~ s/$old/$new/;

    $old = <<HERE;
        <a href="<mt:var name="mt_url" />?__mode=apply_theme&amp;blog_id=<mt:var name="blog_id">&amp;theme_id=<mt:var name="theme_id">" class="button apply-theme-link"><__trans phrase="Apply"></a>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
        <a href="#" class="button apply-theme-link" onclick="check_apply('<mt:var name="name" escape="js">','<mt:var name="mt_url" />?__mode=apply_theme&amp;blog_id=<mt:var name="blog_id">&amp;theme_id=<mt:var name="theme_id">');return false;"><__trans phrase="Apply"></a>
HERE

    $$tmpl =~ s/$old/$new/;
}

1;
